Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.comparator
Class DefaultFileComparator

    java.lang.Object
      org.apache.commons.io.comparator.DefaultFileComparator

All Implemented Interfaces:
  Serializable, Comparator<File>

    public class DefaultFileComparator

extends Object
implements Serializable

Compare two files using the default `File.compareTo(File)` method.

This comparator can be used to sort lists or arrays of files by using the default file comparison.

Example of sorting a list of files using the `DEFAULT_COMPARATOR` singleton instance:

           List<File> list = ...
           DefaultFileComparator.DEFAULT_COMPARATOR.sort(list);

Example of doing a reverse sort of an array of files using the `DEFAULT_REVERSE` singleton instance:

           File[] array = ...
           DefaultFileComparator.DEFAULT_REVERSE.sort(array);

Since:
  Commons IO 1.4
Version:
  $Revision: 721626 $ $Date: 2008-11-28 23:46:54 -0500 (Fri, 28 Nov 2008) $
See Also:
  Serialized Form

Field Summary
`static Comparator<File>` | `DEFAULT_COMPARATOR` Singleton default comparator instance
`static Comparator<File>` | `DEFAULT_REVERSE` Singleton reverse default comparator instance

Constructor Summary
`DefaultFileComparator()`

Method Summary
`int` | `compare(File file1, File file2)` Compare the two files using the `File.compareTo(File)` method.
`File[]` | `sort(File... files)` Sort an array of files.
`List<File>` | `sort(List<File> files)` Sort a List of files.
`String` | `toString()` String representation of this file comparator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### DEFAULT_COMPARATOR

    public static final Comparator<File> DEFAULT_COMPARATOR

  Singleton default comparator instance

### DEFAULT_REVERSE

    public static final Comparator<File> DEFAULT_REVERSE

  Singleton reverse default comparator instance

Constructor Detail

### DefaultFileComparator

    public DefaultFileComparator()

Method Detail

### compare

    public int compare(File file1,
                       File file2)

  Compare the two files using the `File.compareTo(File)` method.

  Specified by:
    `compare` in interface `Comparator<File>`
  Parameters:
    `file1` - The first file to compare
    `file2` - The second file to compare
  Returns:
    the result of calling file1's `File.compareTo(File)` with file2 as the parameter.

### sort

    public File[] sort(File... files)

  Sort an array of files.

  This method uses `Arrays.sort(Object[], Comparator)` and returns the original array.

  Parameters:
    `files` - The files to sort, may be null
  Returns:
    The sorted array
  Since:
    Commons IO 2.0

### sort

    public List<File> sort(List<File> files)

  Sort a List of files.

  This method uses `Collections.sort(List, Comparator)` and returns the original list.

  Parameters:
    `files` - The files to sort, may be null
  Returns:
    The sorted list
  Since:
    Commons IO 2.0

### toString

    public String toString()

  String representation of this file comparator.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation of this file comparator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.